Requirements to build and run Android apps

Most Helpful Article

You have to follow these steps in order to build and run Android applications with KikApp beta 2 build 0.2.66 or higher.

Requirements to build and run applications for Android.

1. Install the Android SDK Manager. Only the command line tools are needed. http://developer.android.com/intl/es/sdk/index.html#Other

Run the install-android-sdk command from kikapp CLI or Eclipse plugin. This command installs automatically all the components.

Install android components manually:

2. In the SDK Manager you must install the following packages:

  • Android SDK Platform-tools 23.1 or higher
  • Android SDK Build-tools 23.0.2
  • From Android 7.0 (API 24)
    • SDK Platform
    • Intel x86 Atom System Image (1)
  • From Android 4.1.2 (API 16)
    • SDK Platform
    • ARM EABI v7a System Image
  • Android Support Repository 36 or higher
  • Google Repository 36 or higher
  • Intel x86 Emulator Accelerator (HAXM installer) (2)

Notes:
(1) If you have an Intel-based computer use the Intel x86 System Image. Otherwise, use the ARM EABI v7a System Image.
(2) If HAXM cannot be installed, it is necessary to install Android 4.1.2 (API 16), including SDK Platform and ARM EABI v7a System Image.
IMPORTANT: if you are running over Windows XP you need to install specific versions of Android SDK Tools and Android SDK Platform-tools, following this tutorial: installing Android SDK in Windows xp

0

1

2

Now you are ready for create your first app using KikApp


 

Troubleshooting

If you get any error, please let us know. You can submit a ticket to our support team.

Rate This Article

(4 out of 4 people found this article helpful)